"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const package_json_1 = __importDefault(require("../package.json"));
const jsonToMessages_1 = __importDefault(require("./jsonToMessages"));
const detectImplementations_1 = __importDefault(require("./detectImplementations"));
const program = new commander_1.Command();
program.version(package_json_1.default.version);
program.option('-i, --implementation <implementation>', 'Cucumber implementation used to generate the report: cucumber-ruby|cucumber-js|behave', '');
program.option('-d, --detect', 'Output detected language from JSON report', '');
program.parse(process.argv);
const { lang, detect } = program.opts();
if (detect) {
    detectImplementations_1.default(process.stdin)
        .then((implementations) => {
        process.stdout.write(`Detected implementations:
${implementations}
`);
    })
        .catch((err) => {
        console.error(err);
        process.exit(1);
    });
}
else {
    jsonToMessages_1.default(process.stdin, process.stdout, lang).catch((err) => {
        console.error(err);
        process.exit(1);
    });
}
//# sourceMappingURL=cli.js.map