"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.traverseTag = exports.traverseFeature = void 0;
function traverseFeature(feature, astMaker, newId, predictableSupportCode, traverseElement) {
    const children = [];
    let backgroundFound = false;
    const tags = feature.tags ? feature.tags.map((tag) => traverseTag(tag, astMaker)) : undefined;
    for (const element of feature.elements) {
        const isBackground = element.type === 'background';
        if (!isBackground || !backgroundFound) {
            children.push(traverseElement(element, astMaker, newId, predictableSupportCode));
        }
        backgroundFound = backgroundFound || isBackground;
    }
    const gherkinFeature = astMaker.makeFeature(feature.line, feature.keyword, feature.name, feature.description, children.filter((child) => child), tags);
    return astMaker.makeGherkinDocument(feature.uri, gherkinFeature);
}
exports.traverseFeature = traverseFeature;
function traverseTag(tag, astMaker) {
    return astMaker.makeTag(tag.name, tag.line);
}
exports.traverseTag = traverseTag;
//# sourceMappingURL=JSONTraverse.js.map