"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const util_1 = require("util");
const SingleObjectWritableStream_1 = __importDefault(require("./stream/SingleObjectWritableStream"));
const JSONTransformStream_1 = __importDefault(require("./stream/JSONTransformStream"));
const detectImplementation_1 = __importDefault(require("./detectImplementation"));
function detectImplementations(jsonReadable) {
    return __awaiter(this, void 0, void 0, function* () {
        const asyncPipeline = util_1.promisify(stream_1.pipeline);
        const singleObjectWritable = new SingleObjectWritableStream_1.default();
        yield asyncPipeline(jsonReadable, new JSONTransformStream_1.default(), singleObjectWritable);
        return singleObjectWritable.object.map((feature) => detectImplementation_1.default(feature));
    });
}
exports.default = detectImplementations;
//# sourceMappingURL=detectImplementations.js.map