/// <reference types="node" />
import { Readable, Writable } from 'stream';
import { Implementation } from './types';
/**
 * This function is the main entry point when this tool is used as a library
 * (for example in a Web application)
 *
 * @param jsonReadable - a Readable stream containing vintage Cucumber JSON
 * @param messageWritable - a Writable stream where messages will be written
 * @param implementation - an explicit implementation, such as "behave", "javascript" or "ruby"
 */
export default function main(jsonReadable: Readable, messageWritable: Writable, implementation?: Implementation): Promise<void>;
//# sourceMappingURL=jsonToMessages.d.ts.map