"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class JSONTransformStream extends stream_1.Transform {
    constructor() {
        super({ readableObjectMode: true });
        this.stringChunks = [];
    }
    _transform(chunk, encoding, callback) {
        const stringChunk = Buffer.isBuffer(chunk) ? chunk.toString('utf-8') : chunk;
        this.stringChunks.push(stringChunk);
        callback();
    }
    _flush(callback) {
        try {
            this.push(JSON.parse(this.stringChunks.join('')));
            callback();
        }
        catch (err) {
            callback(err);
        }
    }
}
exports.default = JSONTransformStream;
//# sourceMappingURL=JSONTransformStream.js.map