"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class SingleObjectWritableStream extends stream_1.Writable {
    constructor() {
        super({ objectMode: true });
        this.o = null;
    }
    get object() {
        return this.o;
    }
    _write(object, encoding, callback) {
        if (this.o) {
            return callback(new Error(`Can only write one object to SingleObjectWritable`));
        }
        this.o = object;
        callback();
    }
}
exports.default = SingleObjectWritableStream;
//# sourceMappingURL=SingleObjectWritableStream.js.map