"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const messages_1 = require("@cucumber/messages");
const PredictableTestSteps_1 = require("../src/PredictableTestSteps");
describe('PredictablePickleTestStep', () => {
    context('execute', () => {
        it('emits a TeststepFinished message with excepted status', () => __awaiter(void 0, void 0, void 0, function* () {
            const step = new PredictableTestSteps_1.PredictablePickleTestStep('some-id', 'source-id', true, 'step-definition-id', messages_1.messages.TestStepFinished.TestStepResult.Status.PASSED, 123456);
            const emitted = [];
            yield step.execute(null, 'test-case-started-id', (envelope) => {
                emitted.push(envelope);
            });
            const testStepFinished = emitted[1].testStepFinished;
            assert_1.default.equal(testStepFinished.testStepResult.status, messages_1.messages.TestStepFinished.TestStepResult.Status.PASSED);
            assert_1.default.equal(testStepFinished.testStepResult.duration.seconds, 123);
            assert_1.default.equal(testStepFinished.testStepResult.duration.nanos, 456000000);
        }));
    });
});
//# sourceMappingURL=PredictableTestStepsTest.js.map