"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const messages_1 = require("@cucumber/messages");
const assert_1 = __importDefault(require("assert"));
const gherkinDocumentToSource_1 = __importDefault(require("./gherkinDocumentToSource"));
describe('gherkinDocumentToSource', () => {
    it('provides the correct source uri', () => {
        const source = gherkinDocumentToSource_1.default(messages_1.messages.GherkinDocument.create({
            uri: 'path/to/file.feature',
        }));
        assert_1.default.equal(source.uri, 'path/to/file.feature');
    });
    it('provides the correct media type', () => {
        const source = gherkinDocumentToSource_1.default(messages_1.messages.GherkinDocument.create());
        assert_1.default.equal(source.mediaType, 'text/x.cucumber.gherkin+plain');
    });
    xit('it produces the Gherkin original document', () => {
        // This may be implemented later on.
        const source = gherkinDocumentToSource_1.default(messages_1.messages.GherkinDocument.create({
            feature: messages_1.messages.GherkinDocument.Feature.create({
                name: 'My feature',
                location: messages_1.messages.Location.create({ line: 1 }),
            }),
        }));
        assert_1.default.equal(source.data, 'Feature: My feature\n');
    });
});
//# sourceMappingURL=gherkinDocumentToSourceTest.js.map