"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const makePredictableHookTestStep_1 = __importDefault(require("../../src/test-generation/makePredictableHookTestStep"));
const messages_1 = require("@cucumber/messages");
const PredictableHook_1 = __importDefault(require("../../src/PredictableHook"));
describe('makePredictableHookTestStep', () => {
    const passedHook = new PredictableHook_1.default('some-id', 'scenario-id', 'somewhere.rb:11', messages_1.messages.TestStepFinished.TestStepResult.Status.PASSED, 123456);
    it('returns undefined when the Hook does not match', () => {
        const pickle = messages_1.messages.Pickle.create({
            astNodeIds: ['another-scenario-id'],
        });
        const step = makePredictableHookTestStep_1.default(pickle, passedHook, true, null, messages_1.IdGenerator.uuid());
        assert_1.default.equal(step, undefined);
    });
    it('creates a PredictableHookTestStep', () => __awaiter(void 0, void 0, void 0, function* () {
        const pickle = messages_1.messages.Pickle.create({
            astNodeIds: ['scenario-id'],
        });
        const step = makePredictableHookTestStep_1.default(pickle, passedHook, true, null, messages_1.IdGenerator.uuid());
        const testResult = yield step.execute(null, '', () => null);
        assert_1.default.equal(testResult.status, messages_1.messages.TestStepFinished.TestStepResult.Status.PASSED);
        assert_1.default.equal(testResult.duration.seconds, 123);
    }));
});
//# sourceMappingURL=makePredictableHookTestStepTest.js.map